Core - Bug # 55834

Task # 55819 (Resolved): UL+OL styling

Status: Resolved Priority: Should have
Author: Felix Kopp Category:
Created: 2014-02-10 Assigned To:
Updated: 2014-03-21 Due date:
TYPOS3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subiject: Bring "list-unstyled" for ul/ol without styling

Description

Add ul.list-unstyled and ol.list-unstyled for lists without decimal/bullet point.
This should replace all inline style definitions and overrides.

Related issues:
related to Core - Bug # 56062: List bullets in wizard for new content elements Resolved 2014-02-18
related to Core - Bug # 55996: New CE wizard - list styles issue after patch ... Closed 2014-02-14

Associated revisions

Revision 92852156 - 2014-02-24 06:46 - Felix Kopp

[TASK] EXT: t3skin - .list-unstyled for ol & ul

Brings CSS class for lists that semantically need to be
UL or OL tags but do not have a visible list-style-item:

<ul class="list-unstyled">
<li>...</li>

</ul>

<ol class="list-unstyled">
<li>...</li>

</ol>

Resolves: #55834

Releases: 6.2

Change-Id: Ic51fbe1f0995b4504d5b10a4c83775a977a19e33
Reviewed-on: https://review.typo3.org/27801

Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History

#1 - 2014-02-20 15:00 - Tymoteusz Motylewski

one of the places it should be applied is a new contenet element wizard (currently there are dots )

#2 - 2014-02-23 23:30 - Gerrit Code Review
https://review.typo3.org/27801

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27801

#3 - 2014-02-24 07:30 - Felix Kopp
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9285215635f3ce8bc049807d71721572ac356977.

#4 - 2014-03-21 20:12 - Ernesto Baschny
- Parent task set to #55819
